import { createPkgGraph } from '@pnpm/workspace.pkgs-graph';
import type { SyncCompilers, AsyncCompilers } from './types/compilers.js';
import type { Configuration, WorkspaceConfiguration } from './types/config.js';
import type { PackageJsonWithPlugins } from './types/plugins.js';
type ConfigurationManagerOptions = {
    cwd: string;
    isProduction: boolean;
};
export type Workspace = {
    name: string;
    pkgName: string;
    dir: string;
    ancestors: string[];
    config: WorkspaceConfiguration;
    manifestPath: string;
    manifest: PackageJsonWithPlugins;
};
export declare class ConfigurationChief {
    cwd: string;
    isProduction: boolean;
    config: Configuration;
    manifestPath?: string;
    manifest?: PackageJsonWithPlugins;
    ignoredWorkspacePatterns: string[];
    manifestWorkspaces: Map<string, string>;
    additionalWorkspaceNames: Set<string>;
    availableWorkspaceNames: string[];
    availableWorkspacePkgNames: Set<string | undefined>;
    availableWorkspaceDirs: string[];
    availableWorkspaceManifests: {
        dir: string;
        manifest: PackageJsonWithPlugins;
    }[];
    workspacesGraph: ReturnType<typeof createPkgGraph> | undefined;
    enabledWorkspaces: Workspace[];
    resolvedConfigFilePath?: string;
    rawConfig?: any;
    constructor({ cwd, isProduction }: ConfigurationManagerOptions);
    init(): Promise<void>;
    getCompilers(): [SyncCompilers, AsyncCompilers];
    getRules(): import("./types/issues.js").Rules;
    getFilters(): {
        dir: string;
    } | {
        dir?: undefined;
    };
    private normalize;
    private setWorkspaces;
    private getListedWorkspaces;
    private getIgnoredWorkspacePatterns;
    private getManifestWorkspaces;
    private getConfiguredWorkspaceKeys;
    private getAdditionalWorkspaceNames;
    private getAvailableWorkspaceNames;
    private getAvailableWorkspaceManifests;
    private getEnabledWorkspaces;
    getWorkspaces(): Workspace[];
    private getDescendentWorkspaces;
    private getIgnoredWorkspacesFor;
    getNegatedWorkspacePatterns(name: string): string[];
    private getConfigKeyForWorkspace;
    private getConfigForWorkspace;
    getIssueTypesToReport(): import("./types/issues.js").Report;
    findWorkspaceByFilePath(filePath: string): Workspace | undefined;
    getUnusedIgnoredWorkspaces(): string[];
}
export {};
