/// <reference types="npmcli__package-json" />
import type { Workspace } from './ConfigurationChief.js';
import type { ConfigurationHints, Issue } from './types/issues.js';
import type { WorkspaceManifests, HostDependencies, InstalledBinaries } from './types/workspace.js';
import type { PackageJson } from '@npmcli/package-json';
type Options = {
    isStrict: boolean;
};
export declare class DependencyDeputy {
    isStrict: boolean;
    _manifests: WorkspaceManifests;
    referencedDependencies: Map<string, Set<string>>;
    referencedBinaries: Map<string, Set<string>>;
    hostDependencies: Map<string, HostDependencies>;
    installedBinaries: Map<string, InstalledBinaries>;
    hasTypesIncluded: Map<string, Set<string>>;
    ignoreBinaries: string[];
    ignoreDependencies: string[];
    constructor({ isStrict }: Options);
    addWorkspace({ name, dir, manifestPath, manifest, ignoreDependencies, ignoreBinaries, }: {
        name: string;
        dir: string;
        manifestPath: string;
        manifest: PackageJson;
        ignoreDependencies: string[];
        ignoreBinaries: string[];
    }): void;
    addIgnored(ignoreBinaries: string[], ignoreDependencies: string[]): void;
    getWorkspaceManifest(workspaceName: string): {
        workspaceDir: string;
        manifestPath: string;
        scripts: string[];
        dependencies: string[];
        peerDependencies: string[];
        optionalPeerDependencies: string[];
        optionalDependencies: string[];
        devDependencies: string[];
        allDependencies: string[];
        ignoreDependencies: string[];
        ignoreBinaries: string[];
    } | undefined;
    getProductionDependencies(workspaceName: string): string[];
    getDevDependencies(workspaceName: string): string[];
    setInstalledBinaries(workspaceName: string, installedBinaries: Map<string, Set<string>>): void;
    getInstalledBinaries(workspaceName: string): InstalledBinaries | undefined;
    setHasTypesIncluded(workspaceName: string, hasTypesIncluded: Set<string>): void;
    getHasTypesIncluded(workspaceName: string): InstalledBinaries | undefined;
    addReferencedDependency(workspaceName: string, packageName: string): void;
    addReferencedBinary(workspaceName: string, binaryName: string): void;
    addHostDependencies(workspaceName: string, hostDependencies: HostDependencies): void;
    getHostDependenciesFor(workspaceName: string, dependency: string): string[];
    getPeerDependencies(workspaceName: string): string[];
    getOptionalPeerDependencies(workspaceName: string): string[];
    maybeAddReferencedExternalDependency(workspace: Workspace, packageName: string): boolean;
    maybeAddReferencedBinary(workspace: Workspace, binaryName: string): boolean;
    private isInDependencies;
    settleDependencyIssues(): {
        dependencyIssues: Issue[];
        devDependencyIssues: Issue[];
        optionalPeerDependencyIssues: Issue[];
    };
    getConfigurationHints(): {
        configurationHints: ConfigurationHints;
    };
}
export {};
