import { timerify } from '../../util/Performance.js';
import { hasDependency, load } from '../../util/plugin.js';
import { toEntryPattern } from '../../util/protocols.js';
export const NAME = 'Drizzle';
export const ENABLERS = ['drizzle-kit'];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const CONFIG_FILE_PATTERNS = ['drizzle.config.{ts,js,json}'];
const findDrizzleDependencies = async (configFilePath) => {
    const config = await load(configFilePath);
    if (!config || !config.schema)
        return [];
    return [config.schema].flat().map(toEntryPattern);
};
export const findDependencies = timerify(findDrizzleDependencies);
