import { timerify } from '../../util/Performance.js';
import { hasDependency, load } from '../../util/plugin.js';
export const NAME = 'Remark';
export const ENABLERS = ['remark-cli'];
export const PACKAGE_JSON_PATH = 'remarkConfig';
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const CONFIG_FILE_PATTERNS = [
    'package.json',
    '.remarkrc',
    '.remarkrc.json',
    '.remarkrc.{js,cjs,mjs}',
    '.remarkrc.{yml,yaml}',
];
const findRemarkDependencies = async (configFilePath, { manifest, isProduction }) => {
    if (isProduction)
        return [];
    const config = configFilePath.endsWith('package.json')
        ? manifest[PACKAGE_JSON_PATH]
        : await load(configFilePath);
    if (!config)
        return [];
    const plugins = config.plugins?.map(plugin => `remark-${plugin}`) ?? [];
    return [...plugins];
};
export const findDependencies = timerify(findRemarkDependencies);
