import { timerify } from '../../util/Performance.js';
import { hasDependency } from '../../util/plugin.js';
import { toEntryPattern } from '../../util/protocols.js';
export const NAME = 'Sentry';
export const ENABLERS = [/^@sentry\//];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const ENTRY_FILE_PATTERNS = ['sentry.{client,server,edge}.config.{js,ts}'];
const findSentryDependencies = async () => {
    const entryPatterns = ENTRY_FILE_PATTERNS.map(toEntryPattern);
    return entryPatterns;
};
export const findDependencies = timerify(findSentryDependencies);
